package com.iden.common.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 人群表(IdenCrowd)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 17:23:46
 */

@Data
@ApiModel(value = "人群表", description = "")
public class CrowdVO implements Serializable {
    private static final long serialVersionUID = -91650038520335504L;

    private Long id;


    @ApiModelProperty("人群编号")
    private String code;


    @ApiModelProperty("人群名称")
    private String name;


    @ApiModelProperty("人群数量")
    private Integer quantity;


    @ApiModelProperty("更新周期,1每天，2每月")
    private String updateCycle;


    @ApiModelProperty("备注")
    private String remark;


    @ApiModelProperty("数据日期开始")
    private Date dataDateBegin;


    @ApiModelProperty("数据日期结束")
    private Date dataDateEnd;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
