package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum UserRoleEnum {
    /**
     *
     */
    HIGH("high","高级管理员"),
    MIDDLE("middle","中级管理员"),
    LOW("low","低级管理员");

    private String value;
    private String name;
    UserRoleEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getValueToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (HIGH.getValue().equals(code)){
            return  HIGH.name;
        } else if (MIDDLE.getValue().equals(code)){
            return MIDDLE.name;
        } else if (LOW.getValue().equals(code)){
            return LOW.name;
        }

        return null;
    }
}
